## org.springframework.jca.cci.core.support
Class CommAreaRecord

    java.lang.Object
      org.springframework.jca.cci.core.support.CommAreaRecord

All Implemented Interfaces:
  Serializable, Cloneable, Record, Streamable

    public class CommAreaRecord

extends Object
implements Record, Streamable

CCI Record implementation for a COMMAREA, holding a byte array.

Since:
  1.2
Author:
  Thierry Templier, Juergen Hoeller
See Also:
  `MappingCommAreaOperation`, Serialized Form

Constructor Summary
`CommAreaRecord()` Create a new CommAreaRecord.
`CommAreaRecord(byte[] bytes)` Create a new CommAreaRecord.

Method Summary
`Object` `clone()`
`String` `getRecordName()`
`String` `getRecordShortDescription()`
`void` `read(InputStream in)`
`void` `setRecordName(String recordName)`
`void` `setRecordShortDescription(String recordShortDescription)`
`byte[]` `toByteArray()`
`void` `write(OutputStream out)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.cci.Record
`equals, hashCode`

Constructor Detail

### CommAreaRecord

    public CommAreaRecord()

  Create a new CommAreaRecord.

  See Also:
    `read(java.io.InputStream)`

### CommAreaRecord

    public CommAreaRecord(byte[] bytes)

  Create a new CommAreaRecord.

  Parameters:
    `bytes` - the bytes to fill the record with

Method Detail

### setRecordName

    public void setRecordName(String recordName)

  Specified by:
    `setRecordName` in interface `Record`

### getRecordName

    public String getRecordName()

  Specified by:
    `getRecordName` in interface `Record`

### setRecordShortDescription

    public void setRecordShortDescription(String recordShortDescription)

  Specified by:
    `setRecordShortDescription` in interface `Record`

### getRecordShortDescription

    public String getRecordShortDescription()

  Specified by:
    `getRecordShortDescription` in interface `Record`

### read

    public void read(InputStream in)
              throws IOException

  Specified by:
    `read` in interface `Streamable`
  Throws:
    `IOException`

### write

    public void write(OutputStream out)
               throws IOException

  Specified by:
    `write` in interface `Streamable`
  Throws:
    `IOException`

### toByteArray

    public byte[] toByteArray()

### clone

    public Object clone()

  Specified by:
    `clone` in interface `Record`
  Overrides:
    `clone` in class `Object`